#2262 Python2 exception: rdiff-backup
Closed: Accepted a month ago by jforbes. Opened a month ago by frankcrawford.

See https://bugzilla.redhat.com/show_bug.cgi?id=1738182

We request an exception for:
rdiff-backup
safekeep (depends on rdiff-backup)

Upstream is nearing the completion of a Python3 port with a target of releasing before the end of the year.

We have already build and tested RPMs based on the current git source.


Metadata Update from @churchyard:
- Issue tagged with: python 2 exception

a month ago

what abut the dependencies of rdiff-backup?

pylibacl
python2-setuptools
pyxattr

They are replaced by the equivalent Python3 dependencies, i.e.
py3libacl
python3-devel
python3-pyxattr

I am confused.
If you replace the Python 2 dependencies by the equivalent Python3 dependencies, how is rdiff-backup going to run on Python 2?

Ah, sorry, that is my confusion.

I believe rdiff-backup will be upgraded to Python3 prior to the release of F32, and we plan to have that built and shipped for F32, however, at present I'm really after an exemption from the planned removal starting in November.

Right, to clarify, we will need those python2 dependencies as part of this exception.

I'm +1, but also biased as I am a rdiff-backup co-maintainer. I had hoped the python3 port will be done in time, but it's looking like it may not be.

I see @kevin (co-)maintains all the packages in the stack except setuptools. +1

Metadata Update from @churchyard:
- Issue tagged with: pending announcement

a month ago

Metadata Update from @jforbes:
- Issue close_status updated to: Accepted
- Issue status updated to: Closed (was: Open)

a month ago

Login to comment on this ticket.

Metadata